Package net.shibboleth.idp.authn.impl

# Class ExtractUsernamePasswordFromFormRequest

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.authn.AbstractAuthenticationAction
net.shibboleth.idp.authn.AbstractExtractionAction
net.shibboleth.idp.authn.impl.ExtractUsernamePasswordFromFormRequest

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class ExtractUsernamePasswordFromFormRequest extends AbstractExtractionAction
An action that extracts a username and password from an HTTP form body or query string, creates a `UsernamePasswordContext`, and attaches it to the `AuthenticationContext`.

Event:
  `EventIds.PROCEED_EVENT_ID`, `AuthnEventIds.NO_CREDENTIALS`
Precondition:

      ProfileRequestContext.getSubcontext(AuthenticationContext.class, false) != null

Postcondition:
  If getHttpServletRequest() != null, a pair of form or query parameters is extracted to populate a `UsernamePasswordContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private String`
`passwordFieldName`
Parameter name for password.
`private String`
`ssoBypassFieldName`
Parameter name for SSO bypass.
`private String`
`usernameFieldName`
Parameter name for username.

## Constructor Summary

Constructors
Constructor
Description
`ExtractUsernamePasswordFromFormRequest()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext)`
Performs this authentication action.
`void`
`setPasswordFieldName(String fieldName)`
Set the password parameter name.
`void`
`setSSOBypassFieldName(String fieldName)`
Set the SSO bypass parameter name.
`void`
`setUsernameFieldName(String fieldName)`
Set the username parameter name.

### Methods inherited from class net.shibboleth.idp.authn.AbstractExtractionAction

`applyTransforms, applyTransforms, setLowercase, setTransforms, setTrim, setUppercase, setUsernameRemappingStrategy`

### Methods inherited from class net.shibboleth.idp.authn.AbstractAuthenticationAction

`doExecute, doPreExecute, doPreExecute, setAuthenticationContextLookupStrategy`

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### usernameFieldName

@Nonnull @NotEmpty private String usernameFieldName
Parameter name for username.

### passwordFieldName

@Nonnull @NotEmpty private String passwordFieldName
Parameter name for password.

### ssoBypassFieldName

@Nonnull @NotEmpty private String ssoBypassFieldName
Parameter name for SSO bypass.

## Constructor Details

### ExtractUsernamePasswordFromFormRequest

ExtractUsernamePasswordFromFormRequest()
Constructor.

## Method Details

### setUsernameFieldName

public void setUsernameFieldName(@Nonnull @NotEmpty String fieldName)
Set the username parameter name.

Parameters:
  `fieldName` - the username parameter name

### setPasswordFieldName

public void setPasswordFieldName(@Nonnull @NotEmpty String fieldName)
Set the password parameter name.

Parameters:
  `fieldName` - the password parameter name

### setSSOBypassFieldName

public void setSSOBypassFieldName(@Nonnull @NotEmpty String fieldName)
Set the SSO bypass parameter name.

Parameters:
  `fieldName` - the SSO bypass parameter name

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull AuthenticationContext authenticationContext)
Performs this authentication action. Default implementation throws an exception.

Overrides:
  `doExecute` in class `AbstractAuthenticationAction`
Parameters:
  `profileRequestContext` - the current IdP profile request context
  `authenticationContext` - the current authentication context